#ifndef DISPLAYNMWIDGET_H
#define DISPLAYNMWIDGET_H

#include <QWidget>
#include <QToolButton>
#include <QBoxLayout>
#include <QStackedWidget>
#include <QEvent>
#include <nde/Nde/Settings>
#include "displaynmcontain.h"

class DisplayNMWidget : public QWidget
{
    Q_OBJECT
public:
    explicit DisplayNMWidget(QWidget *parent = nullptr);

    void showDisplayNMWidget();
Q_SIGNALS:

public Q_SLOTS:

private Q_SLOTS:
    //关联NetWorkManager 信号的槽
    void onDeviceAdded(const QString &uni);
    void onDeviceRemoved(const QString &uni);

    //UI的槽
    void onBtnSettingClicked();
    void onRefreshWifiList();

    //NDE设置项变化
    void onNdeSettingsChange();
    //屏幕尺寸变化
    void onScreenSizeChanged();
    //特效开关变化
    void onCompositorOpenChanged(bool open);

protected:
    virtual bool event(QEvent *event) override;

private:
    QWidget *m_background;
    QLabel *m_labelTitle;

    //设置按钮
    QToolButton * m_btnSetting;
    //无网络显示界面
    QWidget * m_disEmpty;
    //网络显示滚动界面
    DisplayNMContain * m_disContain;

    //有线无线设备列表
    NetworkManager::Device::List mDevices;

    //全局的系统样式设置
    Nde::Settings * m_ndeSetting;
    bool mCompositorOpen; //特效开关
    QString mPanelPos;
    QRect mScreenRect;
    int mPanelSize;
};

#endif // DISPLAYNMWIDGET_H
