#ifndef NMCONFIG_H
#define NMCONFIG_H

#include <QObject>
#include <nde/Nde/Settings>
#include "qblowfish/qblowfish.h"

class NMConfig : public QObject
{
    Q_OBJECT
private:
    explicit NMConfig(QObject *parent = nullptr);

public:
    static NMConfig * global();

    void removeWiFIPasswd(const QString connName);
    QString readWIFIPasswd(const QString connName);
    void saveWIFIPasswd(const QString connName, const QString passwd);

private slots:
    void onSettingsChanged();

private:
    QBlowfish * m_bf; //加密解密工具
    Nde::Settings * m_settings;
};

#endif // NMCONFIG_H
