/*COPYRIGHT_HEADER

This file is a part of nde-networkmanager.

Copyright (c)
    2015~now Palo Kisa <palo.kisa@gmail.com>

nde-networkmanager is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

COPYRIGHT_HEADER*/
#if !defined(TRAY_H)
#define TRAY_H

#include <QObject>
#include <QScopedPointer>
#include <QSystemTrayIcon>
#include "displaynmwidget.h"
#include "icons.h"
#include "dbus/org.freedesktop.Notifications.h"
#include <NetworkManagerQt/Manager>

class Tray : public QObject
{   
Q_OBJECT

public:
    Tray(QObject *parent = nullptr);
    ~Tray();

protected:

private Q_SLOTS:
    void onTrayIconUpdate();
    void onActiveConnectAdd(const QString &path);
    void onActiveConnectRemove(const QString &path);
    void onActivated(const QSystemTrayIcon::ActivationReason reason);
    void onTimeout();

private:
    QSystemTrayIcon mTrayIcon;
    org::freedesktop::Notifications mNotification;
    DisplayNMWidget * mDisplayNM;
    NetworkManager::ActiveConnection::List mActiveConns;
    QTimer* m_timer;
};


#endif //TRAY_H
